"{ Package: 'stx:goodies/sunit' }"

Exception subclass:#TestFailure
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SUnit-Preload'
!

!TestFailure class methodsFor:'documentation'!

documentation
"
    'TestFailure is raised when the boolean parameter of an assert: ... or deny: ... call is the opposite of what the assertion claims.


"
! !

!TestFailure class methodsFor:'others'!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/sunit/TestFailure.st,v 1.7 2011-08-03 16:44:53 vrany Exp $'
! !

!TestFailure methodsFor:'Camp Smalltalk'!

sunitAnnounce: aTestCase toResult: aTestResult
        aTestResult addFailure: aTestCase detail: self.
        self sunitExitWith: false.

    "Modified: / 03-08-2011 / 17:33:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!TestFailure methodsFor:'handling'!

handleFailureWith:something
    "non-resumable test failure. Abort the test suite"

    ^ self returnWith:something
! !

!TestFailure class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/TestFailure.st,v 1.7 2011-08-03 16:44:53 vrany Exp $'
!

version_SVN
    ^ 'Id: TestFailure.st 204 2010-09-11 15:21:51Z vranyj1 '
! !
